<?xml version="1.0" encoding="ISO-8859-1" ?> 
<!--
# generate a Eclipse toc xml
-->
<xsl:stylesheet version="1.1" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    
<xsl:output method="xml" indent="no" omit-xml-declaration="no"/>

<xsl:template match="/">
  <xsl:param name="label" select="default"/>
    <toc>
      <xsl:attribute name="label"><xsl:value-of select="$label"/></xsl:attribute>
        <xsl:apply-templates />
    </toc>
</xsl:template>

<xsl:template match="chapter">
  <topic>
    <xsl:attribute name="href"><xsl:value-of select="title"/></xsl:attribute>
    <xsl:attribute name="label"><xsl:value-of select="title"/></xsl:attribute>
  </topic> 
</xsl:template>

</xsl:stylesheet>
